httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tom Browder <tom.brow...@gmail.com>
Subject Re: APr Utils and PostgreSQL
Date Fri, 07 Apr 2017 16:10:10 GMT
On Fri, Apr 7, 2017 at 11:06 AM, Reindl Harald <h.reindl@thelounge.net> wrote:
>
>
> Am 07.04.2017 um 17:53 schrieb Tom Browder:
>>
>> On Fri, Apr 7, 2017 at 10:11 AM, Reindl Harald <h.reindl@thelounge.net>
>> wrote:
>>>
>>>
>>>
>>> Am 07.04.2017 um 17:06 schrieb Tom Browder:
>>>>
>>>>
>>>> On Fri, Apr 7, 2017 at 09:53 Jordan Gigov <coladict@gmail.com
>>>> <mailto:coladict@gmail.com>> wrote:
>>>>
>>>>      The =DIR parameter is optional. If you have the libpq-dev package
>>>>      installed, it should find it automatically.
>>>>
>>>> I do have the dev package installed, but it didn't find it.  In the
>>>> interim, would creating a pkg-config pc file and pointing DIR at it
>>>> work?
>>>
>>>
>>>
>>> http://www.catb.org/esr/faqs/smart-questions.html#beprecise
>>>
>>> why don't you tell in your first post relevant informations?
>>>
>>> * exact os version
>>> * installed packages
>>> * complete ./configure line
>>> * complete output of ./configure
>>
>>
>> Okay.
>>
>>> "I do have the dev package installed" 4 posts later - seriously?
>>
>>
>> Well, mea culpa, but I didn't think of it since it's so basic, sorry.
>
>
> yes, that's all basic, hnce it works everywhere but in your case
>
>> Packages  with postgresql in their name:
>>
>> $ aptitude search postgres | grep ^i
>> i A postgresql-client-common        - manager for multiple PostgreSQL
>> client ver
>> i A postgresql-common               - PostgreSQL database-cluster manager
>> i A postgresql-server-dev-9.4       - development files for PostgreSQL 9.4
>> serve
>> i   postgresql-server-dev-all       - extension build tool for multiple
>> PostgreS
>
>
> looks good, i guess debian has a weird naming sicne it's the client
> libraries you link against
>
>>    https://gist.github.com/tbrowder/451e0f735bd281dde6694f189b8f6d61
>
>
> https://gist.github.com/tbrowder/451e0f735bd281dde6694f189b8f6d61
>
> don't show any errors and postgresql is stattet with yes
> so what is your *problem*
> hecking postgresql/libpq-fe.h usability... yes
> checking postgresql/libpq-fe.h presence... yes
> checking for postgresql/libpq-fe.h... yes
>
> main question: why in the world are you building from source?
> https://packages.debian.org/jessie/libaprutil1-dbd-pgsql

Because I want to be running the latest httpd (and use pgsql and
splite3), and I didn't know of the package you mentioned:

  libaprutil1-dbd-pgsql

Thanks.

-Tom

Mime
View raw message